org.eclipse.jetty.annotations

## Class WebListenerAnnotationHandler

- java.lang.Object
- - org.eclipse.jetty.annotations.AbstractDiscoverableAnnotationHandler
  - - org.eclipse.jetty.annotations.WebListenerAnnotationHandler

- All Implemented Interfaces:
    AnnotationParser.DiscoverableAnnotationHandler

      public class WebListenerAnnotationHandler
      extends AbstractDiscoverableAnnotationHandler

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.annotations.AbstractDiscoverableAnnotationHandler

      `_annotations, _context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebListenerAnnotationHandler(WebAppContext context)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleClass(String className, int version, int access, String signature, String superName, String[] interfaces, String annotation, List<AnnotationParser.Value> values)`
    `void` | `handleField(String className, String fieldName, int access, String fieldType, String signature, Object value, String annotation, List<AnnotationParser.Value> values)`
    `void` | `handleMethod(String className, String methodName, int access, String params, String signature, String[] exceptions, String annotation, List<AnnotationParser.Value> values)`

    - ### Methods inherited from class org.eclipse.jetty.annotations.AbstractDiscoverableAnnotationHandler

      `addAnnotation, getAnnotationList, resetList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebListenerAnnotationHandler

          public WebListenerAnnotationHandler(WebAppContext context)

  - ### Method Detail

    - #### handleClass

          public void handleClass(String className,
                         int version,
                         int access,
                         String signature,
                         String superName,
                         String[] interfaces,
                         String annotation,
                         List<AnnotationParser.Value> values)

      See Also:
        `AnnotationParser.DiscoverableAnnotationHandler.handleClass(java.lang.String, int, int, java.lang.String, java.lang.String, java.lang.String[], java.lang.String, java.util.List)`

    - #### handleField

          public void handleField(String className,
                         String fieldName,
                         int access,
                         String fieldType,
                         String signature,
                         Object value,
                         String annotation,
                         List<AnnotationParser.Value> values)

    - #### handleMethod

          public void handleMethod(String className,
                          String methodName,
                          int access,
                          String params,
                          String signature,
                          String[] exceptions,
                          String annotation,
                          List<AnnotationParser.Value> values)

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.